summaryrefslogtreecommitdiff
path: root/files/post-update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/post-update.sh')
-rw-r--r--files/post-update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/files/post-update.sh b/files/post-update.sh
index 2d266a3..741e239 100644
--- a/files/post-update.sh
+++ b/files/post-update.sh
@@ -13,7 +13,7 @@ cd $PUPPET_DIR
lockfile ~/puppet.lock
# call external SUID script that will update PUPPET_DIR
-/usr/local/sbin/update-puppet-conf.sh || echo "Updating puppet failed. Fix it manually."
+sudo -u puppet /usr/local/sbin/update-puppet-conf.sh || echo "Updating puppet failed. Fix it manually."
# remove lock
rm -f ~/puppet.lock